## com.google.appengine.api.search
Class FieldExpression

    java.lang.Object
      com.google.appengine.api.search.FieldExpression

    public class FieldExpression

extends java.lang.Object

Represents an expression bound to a returned Field with the given name. FieldExpressions are added to a `SearchRequest` to request an expression is computed and returned as the named Field value. For example,

       FieldExpression.newBuilder()
           .setName("snippet")
           .setExpression("snippet(\"good story\", content)")
           .build()

binds a snippet expression to a Field named "snippet", which will be returned in each search result. In this case the returned "snippet" Field will contain a HTML value containing text snippets of the "content" field matching the query "good story".

Nested Class Summary
`static class` `FieldExpression.Builder` A field expression builder.

Method Summary
`java.lang.String` `getExpression()`
`java.lang.String` `getName()`
`static FieldExpression.Builder` `newBuilder()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getName

    public java.lang.String getName()

  Returns:
    the name of the expression

### getExpression

    public java.lang.String getExpression()

  Returns:
    an evaluable expression string

### newBuilder

    public static FieldExpression.Builder newBuilder()

  Returns:
    returns a new FieldExpression builder.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`